<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateYellowpagesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: yellowpages
         */
        Schema::create('yellowpages', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('subcategory_id')->nullable();
            $table->integer('phone')->nullable();
            $table->string('website', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('address', 255)->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('zipcode')->nullable();
            $table->string('lattitude', 25)->nullable();
            $table->string('longitude', 25)->nullable();
            $table->string('working_hours', 255)->nullable();
            $table->longText('description')->nullable();
            $table->longText('details')->nullable();
            $table->longText('facilities')->nullable();
            $table->text('images')->nullable();
            $table->enum('payment_methods', ['cash','visa','master_card','paypal','discover','debitcard','personal_cheque','creditcard'])->nullable();
            $table->string('uploaded_folder', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('published', ['yes','no'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('yellowpages');
    }
}
