Lavalite package that provides yellowpage management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `larayellow/yellowpage`.

    "larayellow/yellowpage": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Larayellow\Yellowpage\Providers\YellowpageServiceProvider::class,

And also add it to alias

    'Yellowpage'  => Larayellow\Yellowpage\Facades\Yellowpage::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Larayellow\\YellowpageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Larayellow\Yellowpage\Providers\YellowpageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Larayellow\Yellowpage\Providers\YellowpageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Larayellow\Yellowpage\Providers\YellowpageServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/yellowpage/{modulename}

**User**

    http://path-to-route-folder/user/yellowpage/{modulename}

**Public**

    http://path-to-route-folder/yellowpages


### API endpoints

**List**

    http://path-to-route-folder/api/user/yellowpage/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/yellowpage/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/yellowpage/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/yellowpage/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/yellowpage/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/yellowpage/{modulename}/{slug}
    METHOD: GET