<?php

// API routes  for yellowpage
Route::prefix('{guard}/yellowpage')->group(function () {
    Route::get('yellowpage/form/{element}', 'YellowpageAPIController@form');
    Route::resource('yellowpage', 'YellowpageAPIController');
});

// Public routes for yellowpage
Route::get('yellowpages/', 'YellowpagePublicController@index');
Route::get('yellowpages/{slug?}', 'YellowpagePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for yellowpages
            Route::prefix('{guard}/yellowpage')->group(function () {
                Route::get('yellowpage/form/{element}', 'YellowpageAPIController@form');
                Route::apiResource('yellowpage', 'YellowpageAPIController');
            });
            // Public routes for yellowpages
            Route::get('yellowpage/Yellowpage', 'YellowpagePublicController@getYellowpage');
        }
    );
}

