<?php

namespace Larayellow\Yellowpage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class YellowpageTransformer extends TransformerAbstract
{
    public function transform(\Larayellow\Yellowpage\Models\Yellowpage $yellowpage)
    {
        return [
            'id'                => $yellowpage->getRouteKey(),
            'key'               => [
                'public'    => $yellowpage->getPublicKey(),
                'route'     => $yellowpage->getRouteKey(),
            ], 
            'title'             => $yellowpage->title,
            'category_id'       => $yellowpage->category_id,
            'subcategory_id'    => $yellowpage->subcategory_id,
            'phone'             => $yellowpage->phone,
            'website'           => $yellowpage->website,
            'email'             => $yellowpage->email,
            'address'           => $yellowpage->address,
            'city_id'           => $yellowpage->city_id,
            'district_id'       => $yellowpage->district_id,
            'state_id'          => $yellowpage->state_id,
            'country_id'        => $yellowpage->country_id,
            'zipcode'           => $yellowpage->zipcode,
            'lattitude'         => $yellowpage->lattitude,
            'longitude'         => $yellowpage->longitude,
            'working_hours'     => $yellowpage->working_hours,
            'description'       => $yellowpage->description,
            'details'           => $yellowpage->details,
            'facilities'        => $yellowpage->facilities,
            'images'            => $yellowpage->images,
            'payment_methods'   => $yellowpage->payment_methods,
            'uploaded_folder'   => $yellowpage->uploaded_folder,
            'slug'              => $yellowpage->slug,
            'published'         => $yellowpage->published,
            'user_id'           => $yellowpage->user_id,
            'user_type'         => $yellowpage->user_type,
            'deleted_at'        => $yellowpage->deleted_at,
            'url'               => [
                'public'    => trans_url('yellowpage/'.$yellowpage->getPublicKey()),
                'user'      => guard_url('yellowpage/yellowpage/'.$yellowpage->getRouteKey()),
            ], 
            'status'            => trans('app.'.$yellowpage->status),
            'created_at'        => format_date($yellowpage->created_at),
            'updated_at'        => format_date($yellowpage->updated_at),
        ];
    }
}