<?php

namespace Larayellow\Yellowpage;

use User;

class Yellowpage
{
    /**
     * $yellowpage object.
     */
    protected $yellowpage;

    /**
     * Constructor.
     */
    public function __construct(\Larayellow\Yellowpage\Interfaces\YellowpageRepositoryInterface $yellowpage)
    {
        $this->yellowpage = $yellowpage;
    }

    /**
     * Returns count of yellowpage.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.yellowpage.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->yellowpage->pushCriteria(new \Litepie\Larayellow\Repositories\Criteria\YellowpageUserCriteria());
        }

        $yellowpage = $this->yellowpage->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('yellowpage::' . $view, compact('yellowpage'))->render();
    }
}
